Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrLockManager

    java.lang.Object
      org.modeshape.jcr.JcrLockManager

All Implemented Interfaces:
  LockManager

    public class JcrLockManager

extends Object
implements LockManager

A per-session lock manager for a given workspace. This class encapsulates the session-specific locking logic and checks that do not occur in @{link WorkspaceLockManager}.

Method Summary
`void` | `addLockToken(String lockToken)`
`Lock` | `getLock(String absPath)`
`String[]` | `getLockTokens()`
`boolean` | `holdsLock(String absPath)`
`boolean` | `isLocked(String absPath)`
`Lock` | `lock(String absPath, boolean isDeep, boolean isSessionScoped, long timeoutHint, String ownerInfo)`
`void` | `removeLockToken(String lockToken)`
`void` | `unlock(String absPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addLockToken

    public void addLockToken(String lockToken)
                      throws LockException

  Specified by:
    `addLockToken` in interface `LockManager`
  Throws:
    `LockException`

### getLock

    public Lock getLock(String absPath)
                 throws PathNotFoundException,
                        LockException,
                        AccessDeniedException,
                        RepositoryException

  Specified by:
    `getLock` in interface `LockManager`
  Throws:
    `PathNotFoundException`
    `LockException`
    `AccessDeniedException`
    `RepositoryException`

### getLockTokens

    public String[] getLockTokens()

  Specified by:
    `getLockTokens` in interface `LockManager`

### holdsLock

    public boolean holdsLock(String absPath)
                      throws PathNotFoundException,
                             RepositoryException

  Specified by:
    `holdsLock` in interface `LockManager`
  Throws:
    `PathNotFoundException`
    `RepositoryException`

### isLocked

    public boolean isLocked(String absPath)
                     throws PathNotFoundException,
                            RepositoryException

  Specified by:
    `isLocked` in interface `LockManager`
  Throws:
    `PathNotFoundException`
    `RepositoryException`

### lock

    public Lock lock(String absPath,
                     boolean isDeep,
                     boolean isSessionScoped,
                     long timeoutHint,
                     String ownerInfo)
              throws LockException,
                     PathNotFoundException,
                     AccessDeniedException,
                     InvalidItemStateException,
                     RepositoryException

  Specified by:
    `lock` in interface `LockManager`
  Throws:
    `LockException`
    `PathNotFoundException`
    `AccessDeniedException`
    `InvalidItemStateException`
    `RepositoryException`

### removeLockToken

    public void removeLockToken(String lockToken)
                         throws LockException

  Specified by:
    `removeLockToken` in interface `LockManager`
  Throws:
    `LockException`

### unlock

    public void unlock(String absPath)
                throws PathNotFoundException,
                       LockException,
                       AccessDeniedException,
                       InvalidItemStateException,
                       RepositoryException

  Specified by:
    `unlock` in interface `LockManager`
  Throws:
    `PathNotFoundException`
    `LockException`
    `AccessDeniedException`
    `InvalidItemStateException`
    `RepositoryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.